Subject: Encyclopedia of North American plants?

From: [email-masked] (Kathleen Timms)
Date: Mon, 12 Dec 94 15:12:00 -0500

On Dec 2/94, George Darcy wrote:
GD>Can anyone please recommend a good reference book that describes
GD>in detail all plant life in North America (or eastern region)?

    The Gardener's Encyclopedia of Plants & Flowers, Christopher 
Brickell, ed.; Dorling Kindersley Publishers, London 1989 is the most 
useful book I own, covering everything from trees to water plants. 
Organized by type of plant, then by size, then by season of interest, 
then by colour.  Good cultural information and more accurate about 
hardiness than many plant nurseries and catalogues.

    It is distributed in Canada by The Reader's Digest Association and 
I believe I have seen a new edition in the bookstore with The Reader's 
Digest added to the title.

-= [email-masked] =-

---
 * RoseReader 2.50b P007726 Entered at [CRS]